Bug 856169 - Konqueror gets into an infinite loop when browsing through its menu
Konqueror gets into an infinite loop when browsing through its menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-baseapps (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 07:16 EDT by Martin Bříza
Modified: 2014-02-05 07:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:09:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the triggered bug (187.94 KB, image/png)
2012-09-11 07:16 EDT, Martin Bříza
no flags Details

  None (edit)
Description Martin Bříza 2012-09-11 07:16:50 EDT
Created attachment 611728 [details]
Screenshot of the triggered bug

Description of problem:
Konqueror gets into an infinite loop when browsing through its menu hogging the UI

Version-Release number of selected component (if applicable):
kde-baseapps-4.9.0-1.fc18.x86_64
6:kdelibs-4.9.0-2.fc18.x86_64
1:qt-4.8.2-6.fc18.x86_64

How reproducible:
Often

Steps to Reproduce:
1. Start a clean Konqueror (keeping any previously set configuration will not reveal the bug)
2. Do the usual Alpha test matrix steps (logging into admin.fedoraproject.org, downloading a Linux kernel in a new tab)
3. In the tab with the kernel, quickly browse through the menus, be sure to open Tools -> HTML Settings

Actual results:
The whole system stops responding to anything else than switch to a TTY. Konqueror is then taking about 97% of the CPU according to top.

Expected results:
Opening menu items

Additional info:
I've attached a screenshot with the opened menu and konqueror debug log. The menu opened triggered the bug and left the system in this state.
Comment 1 Jaroslav Reznik 2012-09-11 08:55:04 EDT
I'm unable to reproduce it. Tried for several times...
Comment 2 Lukáš Tinkl 2012-09-14 06:05:35 EDT
Perhaps this depends on the installed konqueror plugins, or even on the rendering engine? (khtml vs. webkit)
Comment 3 Martin Bříza 2012-09-17 05:45:57 EDT
Well, I didn't change anything, it happened in Konqueror as it is in Fedora 18 by default, so no plugins and I suppose KHTML is the default rendering engine.
Comment 4 Martin Bříza 2012-11-22 08:07:18 EST
Still happens in Fedora 18 Beta RC1.
Comment 5 Fedora End Of Life 2013-12-21 03:51:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:09:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.